Bug 1563148 - [Netvirt][NAT] No migration of a NAPT switch after restart of a node
Summary: [Netvirt][NAT] No migration of a NAPT switch after restart of a node
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: opendaylight
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z1
: 13.0 (Queens)
Assignee: Sridhar Gaddam
QA Contact: Itzik Brown
URL:
Whiteboard: odl_netvirt, odl_nat
Depends On:
Blocks: 1528948
TreeView+ depends on / blocked
 
Reported: 2018-04-03 09:31 UTC by Itzik Brown
Modified: 2018-10-24 12:34 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
N/A
Last Closed: 2018-05-21 14:02:15 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Itzik Brown 2018-04-03 09:31:42 UTC
Description of problem:
After restart of a compute node that holds the NAPT switch the router is not migrated and it has a null Managment Ip Address when running the display-napt-switches.
Seen on bare metal setup non-HA.

Version-Release number of selected component (if applicable):
opendaylight-8.0.0-5.el7ost.noarch

How reproducible:


Steps to Reproduce:
1.Create a router and add the gateway info.
2.Run display-napt-switches to show the node that holds the NAPT switch
3.Reboot the node
4.Run display-napt-switches and verify the Managment Ip Address is null for this router.

Actual results:


Expected results:


Additional info:

Comment 3 Mike Kolesnik 2018-04-16 06:40:32 UTC
This seems to work on a virt setup so it should work regardless.
If you see this again please re-open.

Comment 4 Itzik Brown 2018-04-16 16:09:24 UTC
I'm now facing a similar issue on a virt HA setup.
After creating multiple routers one of them has a null management IP

karaf@root()> display-napt-switches                                                                                                                                                                                
     Router Id                             Datapath Node Id      Managment Ip Address
    -------------------------------------------------------------------------------------------
     3e3f436d-3919-4834-99c8-6ea0d40405e0  84651263137373        172.17.2.18          
     db8b51f0-d8be-4d40-bb0a-6cc3df007c7f  185757171036548       null                
     d153666f-e15f-4584-97d7-5adbbb0ba9aa  238158260358536       172.17.2.12

Comment 6 Vishal Thapar 2018-04-24 09:40:13 UTC
Require ODL karaf logs and Datastore dumps. Datastore dumps can be acquired by making simple curl calls to URLs as captured in:

https://logs.opendaylight.org/releng/vex-yul-odl-jenkins-1/netvirt-csit-1node-openstack-queens-gate-stateful-fluorine/243/robot-plugin/log_01_l2.html.gz#s1-t1-k4-k2-k1-k1

Also:
<wznoinsk> vthapar, itzikb can you try running http://file.tlv.redhat.com/~wznoinsk/overcloud_capture.sh on an undercloud? (it should capture ovs data, datastore data, sosreports)

Comment 7 Vishal Thapar 2018-04-25 14:59:26 UTC
wznoinsk's script will capture all the datastore dumps.

Comment 12 Itzik Brown 2018-05-21 14:02:15 UTC
Don't see it with:
opendaylight-8.0.0-10.el7ost.noarch


Note You need to log in before you can comment on or make changes to this bug.